import React from 'react';
import styles from './index.less';
import css from 'classnames';
import CloseIcon from './components/close';
import MinimizeIcon from './components/minimize';
import ZoomIcon from './components/zoom';
import logoImg from './assets/logo.png';

export default function AppHeader(props) {
  const { className, style } = props;
  return (
    <div className={css(styles.appHeader, className)} style={style}>
      <div className={styles.left}>
        <img src={logoImg} alt="" />
      </div>
      <div className={styles.right}>
        <div className={styles.split} />
        <MinimizeIcon className={styles.mr12} />
        <ZoomIcon className={styles.mr12} />
        <CloseIcon className={styles.mr12} />
      </div>
    </div>
  )
}